// XKListP.h

#ifndef _XKListP_h_
#define _XKListP_h_

#include <X11/neXtaw/SimpleP.h>
#include <XKList.h>

#define NO_HIGHLIGHT            XK_LIST_NONE
#define OUT_OF_RANGE            -1
#define OKAY                     0

// New fields for the List widget class record.

typedef	struct	{ int foo; } XKListClassPart;

// Full class record declaration.
typedef	struct	_XKListClassRec
{
    CoreClassPart	core_class;
    SimpleClassPart	simple_class;
    XKListClassPart	xklist_class;
} XKListClassRec;

extern	XKListClassRec xkListClassRec;

// New fields for the List widget record.
typedef	struct	_XKListPart
{
    // resources
    Pixel		foreground;
    Dimension	internal_width; // if not 3d, user sets directly.
	Dimension	internal_height;
    Dimension   column_space;	// half of *_space is add on top/bot/left of.
    Dimension   row_space;		// each item's text bounding box. half added
								// to longest for right.
    int         default_cols;
    Boolean     force_cols;
    Boolean     paste;
    Boolean     vertical_cols;
    int         longest;		// in pixels
    int         nitems;			// number of items in the list.
    XFontStruct	*font;
    XFontSet 	fontset;		// Sheeran, Omron KK, 93/03/05
    String		*list;			// for i18n, always in multibyte format.
    XtCallbackList callback;
    // private state
    int         is_highlighted;	// set to the item currently highlighted.
    int         highlight;		// set to the item that should be highlighted.
    int         col_width;		// width of each column.
    int         row_height;		// height of each row.
    int         nrows;			// number of rows in the list.
    int         ncols;			// number of columns in the list.
    GC			normgc;			// a couple of GC's.
    GC          revgc;
	GC			whitegc;		// alternate highlight.
    GC          graygc;			// used when inactive.
	GC			dimgc;
	Boolean		*arrows;
    int         freedoms;       // flags for resizing height and width.
} XKListPart;

typedef	struct	_XKListRec
{
    CorePart	core;
    SimplePart	simple;
    XKListPart	xklist;
} XKListRec;

#endif // _XKListP_h_
