// XKScrollbar.h

#ifndef _XKScrollbar_h_
#define _XKScrollbar_h_

#include <X11/Xmu/Converters.h>
#include <X11/Xfuncproto.h>

/* Scrollbar resources:

 Name		     	Class			RepType				Default Value
 ----		     	-----			-------				-------------
 accelerators	    Accelerators	AcceleratorTable 	NULL
 ancestorSensitive  AncestorSensitive	Boolean			True
 background	     	Background		Pixel				XtDefaultBackground
 backgroundPixmap   Pixmap			Pixmap				XtUnspecifiedPixmap
 borderColor	    BorderColor		Pixel				XtDefaultForeground
 borderPixmap	    Pixmap			Pixmap				XtUnspecifiedPixmap
 borderWidth	    BorderWidth		Dimension			1
 colormap	     	Colormap		Colormap			parent's colormap
 cursor		     	Cursor			Cursor				None
 cursorName	     	Cursor			String				NULL
 depth		     	Depth			int					parent's depth
 destroyCallback    Callback		XtCallbackList		NULL
 drawBorder         DrawBorder		Boolean				True
 drawHalf			DrawHalf		Boolean				False
 drawThreeD			DrawThreeD		Boolean				False
 drawArrows	     	DrawArrows      Boolean         	True
 foreground	     	Foreground		Pixel				XtDefaultForeground
 height		     	Height			Dimension			length or thickness
 insensitiveBorder  Insensitive		Pixmap				GreyPixmap
 jumpProc	     	Callback		XtCallbackList		NULL
 length		     	Length			Dimension			1
 mappedWhenManaged  MappedWhenManaged	Boolean			True
 minimumThumb	    MinimumThumb	Dimension			7
 orientation	    Orientation		XtOrientation		XtorientVertical
 pointerColor	    Foreground		Pixel				XtDefaultForeground
 pointerColorBackground Background	Pixel				XtDefaultBackground
 screen		     	Screen			Screen				parent's screen
 scrollDCursor	    Cursor			Cursor				XC_sb_down_arrow
 scrollHCursor	    Cursor			Cursor				XC_sb_h_double_arrow
 scrollLCursor	    Cursor			Cursor				XC_sb_left_arrow
 scrollProc	     	Callback		XtCallbackList		NULL
 scrollRCursor	    Cursor			Cursor				XC_sb_right_arrow
 scrollUCursor	    Cursor			Cursor				XC_sb_up_arrow
 scrollVCursor	    Cursor			Cursor				XC_sb_v_double_arrow
 sensitive	     	Sensitive		Boolean				True
 shown		     	Shown			Float				0.0
 thickness	     	Thickness		Dimension			20
 thumb		     	Thumb			Bitmap				GreyPixmap
 thumbProc	     	Callback		XtCallbackList		NULL
 topOfThumb	     	TopOfThumb		Float				0.0
 pickTop	     	PickTop			Boolean				False
 translations	    Translations	TranslationTable 	see source or doc
 width		     	Width			Dimension			thickness or length
 x		     		Position		Position			0
 y		     		Position		Position			0

*/

#ifndef XtCMinimumThumb
#define XtCMinimumThumb		"MinimumThumb"
#endif

#ifndef XtCShown
#define XtCShown			"Shown"
#endif

#ifndef XtCTopOfThumb
#define XtCTopOfThumb		"TopOfThumb"
#endif

#ifndef XtCPickTop
#define XtCPickTop			"PickTop"
#endif

#ifndef XtCDrawBorder
#define XtCDrawBorder		"DrawBorder"
#endif

#ifndef XtNdrawBorder
#define XtNdrawBorder		"drawBorder"
#endif

#ifndef XtCDrawArrows
#define XtCDrawArrows		"DrawArrows"
#endif

#ifndef XtNdrawThreeD
#define XtNdrawThreeD		"drawThreeD"
#endif

#ifndef XtCDrawThreeD
#define XtCDrawThreeD		"DrawThreeD"
#endif

#ifndef XtNdrawHalf
#define XtNdrawHalf			"drawHalf"
#endif

#ifndef XtCDrawHalf
#define XtCDrawHalf			"DrawHalf"
#endif

#ifndef XtNdrawArrows
#define XtNdrawArrows		"drawArrows"
#endif

#ifndef XtCAlwaysVisible
#define XtCAlwaysVisible	"AlwaysVisible"
#endif

#ifndef XtNalwaysVisible
#define XtNalwaysVisible	"alwaysVisible"
#endif

#ifndef XtNminimumThumb
#define XtNminimumThumb		"minimumThumb"
#endif

#ifndef XtNtopOfThumb
#define XtNtopOfThumb		"topOfThumb"
#endif

#ifndef XtNpickTop
#define XtNpickTop			"pickTop"
#endif

typedef struct	_XKScrollbarRec			*XKScrollbarWidget;
typedef struct	_XKScrollbarClassRec	*XKScrollbarWidgetClass;

extern	WidgetClass						xkScrollbarWidgetClass;

_XFUNCPROTOBEGIN

extern void XKScrollbarSetThumb(Widget, float, float);

_XFUNCPROTOEND

#endif // _XKScrollbar_h_

