// XKScrollvarP.h

#ifndef _XKScrollbarP_h_
#define _XKScrollbarP_h_

#include <XKScrollbar.h>
#include <X11/neXtaw/ThreeDP.h>

typedef	struct
{
    // Public.
    Pixel			foreground;		// Thumb foreground color
    XtOrientation	orientation;	// Horizontal or vertical
    XtCallbackList	scrollProc;		// Proportional scroll
    XtCallbackList	thumbProc;		// Jump (to position) scroll
    XtCallbackList	jumpProc;		// Same as thumbProc but pass data by ref
    Pixmap	  		thumb;			// Thumb color
    float	  		top;			// What percent is above the win's top
    float	  		shown;			// What percent is shown in the win
    Dimension		length;			// Either height or width
    Dimension		thickness;		// Either width or height
    Dimension		min_thumb;		// Minium size for the thumb.
    float			picked;			// How much of the thumb is picked when
									// Scrolling starts.
    Boolean			draw_border;	// Whether the border for the thumb's base
									// should be drawn or not.
    Boolean			draw_arrows;	// Whether we should draw the arrow buttons
	Boolean			draw_threeD;	//
	Boolean			draw_half;		// 
    Boolean	  		always_visible; // Arrows and slider must always be visible
    // Private
    XtIntervalId	timer_id;		// Autorepeat timer; remove on destruction
    char	  		scroll_mode;	// 0:none 1:up/back 2:track 3:down/forward
    Pixmap	  		bump;			// Bump pixmap for the thumb.
    Pixmap	  		stipple;		// Stipple for the background of sbar.
    GC		  		gc;				// A (shared) gc for foreground.
    GC		  		bgc;			// A (shared) gc for background.
    GC		  		copygc;			// Used with copyarea.
    Position		topLoc;			// Pixel that corresponds to top.
    Dimension		shownLength;	// Num pixels corresponding to shown.
    Boolean			pick_top;		// Pick thumb at top or anywhere.
} XKScrollbarPart;

typedef	struct	_XKScrollbarRec
{
    CorePart		core;
    SimplePart		simple;
    ThreeDPart		threeD;
    XKScrollbarPart	xkscrollbar;
} XKScrollbarRec;

typedef struct {int empty;} XKScrollbarClassPart;

typedef	struct	_XKScrollbarClassRec
{
    CoreClassPart			core_class;
    SimpleClassPart			simple_class;
    ThreeDClassPart			threeD_class;
    XKScrollbarClassPart	xkscrollbar_class;
} XKScrollbarClassRec;

extern XKScrollbarClassRec xkScrollbarClassRec;

#endif // _XKScrollbarP_h_
