// XKViewport.h

#ifndef _XKViewport_h_
#define _XKViewport_h_

#include <X11/neXtaw/Form.h>
#include <X11/neXtaw/Reports.h>

/* Resources:
 Name		     	Class				RepType		Default Value
 ----		     	-----				-------		-------------
 allowHoriz	     	Boolean				Boolean		False
 allowVert	     	Boolean				Boolean		False
 background	     	Background			Pixel		XtDefaultBackground
 border		     	BorderColor			Pixel		XtDefaultForeground
 borderWidth	    BorderWidth			Dimension	1
 destroyCallback    Callback			Pointer		NULL
 foreceBars	     	Boolean				Boolean		False
 height		     	Height				Dimension	0
 mappedWhenManaged  MappedWhenManaged	Boolean		True
 reportCallback	    ReportCallback		Pointer		NULL
 sensitive	     	Sensitive			Boolean		True
 useBottom	     	Boolean				Boolean		False
 useRight	     	Boolean				Boolean		False
 width		     	Width				Dimension	0
 x		     		Position			Position	0
 y		     		Position			Position	0
*/

// Fields added to Form.
#ifndef _XtStringDefs_h_

#define XtNforceBars	"forceBars"
#define XtNallowHoriz	"allowHoriz"
#define XtNallowVert	"allowVert"
#define XtNuseBottom	"useBottom"
#define XtNuseRight		"useRight"

#endif

extern WidgetClass					xkViewportWidgetClass;

typedef	struct	_XKViewportClassRec	*XKViewportWidgetClass;
typedef	struct	_XKViewportRec		*XKViewportWidget;

extern void XKViewportSetLocation(Widget, float, float);
extern void XKViewportSetCoordinates(Widget, Position, Position);

#endif // _XKViewport_h_

