// XKViewportP.h

#ifndef _XKViewportP_h_
#define _XKViewportP_h_

#include <XKViewport.h>
#include <X11/neXtaw/FormP.h>
#include <X11/neXtaw/ThreeDP.h>

typedef	struct	{ int empty; } XKViewportClassPart;

typedef	struct	_XKViewportClassRec
{
    CoreClassPart		core_class;
    CompositeClassPart	composite_class;
    ConstraintClassPart	constraint_class;
    FormClassPart		form_class;
    XKViewportClassPart	xkviewport_class;
} XKViewportClassRec;

extern XKViewportClassRec	xkViewportClassRec;

typedef	struct	_XKViewportPart
{
    // resources
    Boolean forcebars;				// Whether we should always display
									// the selected scrollbars.
    Boolean allowhoriz;				// Whether we allow horizontal scrollbars.
    Boolean allowvert;				// Whether we allow vertical scrollbars.
    Boolean usebottom;				// True iff horiz bars appear at bottom.
    Boolean useright;				// True iff vert bars appear at right.
    XtCallbackList report_callbacks;// size/position changes
    // private state
    Widget clip, child;				// The clipping and (scrolled) child widget.
    Widget  horiz_bar, vert_bar;	// What scrollbars we currently have.
    ThreeDWidget threeD;
} XKViewportPart;

typedef	struct	_XKViewportRec
{
    CorePart		core;
    CompositePart	composite;
    ConstraintPart	constraint;
    FormPart		form;
    XKViewportPart	xkviewport;
} XKViewportRec;

typedef struct
{
    // resources
    // private state
    Boolean		reparented; 		// True if child has been re-parented.
} XKViewportConstraintsPart;

typedef	struct	_XKViewportConstraintsRec
{
    FormConstraintsPart			form;
    XKViewportConstraintsPart	xkviewport;
} XKViewportConstraintsRec, *XKViewportConstraints;

#endif // _XKViewportP_h_

