//
//  Login.app
// 
//  Copyright (c) 1997, 1998 Per Liden
// 
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//

#ifndef _Config_h_
#define _Config_h_


// Commands
#define INIT_CMD		"/usr/bin/X11/xsetroot -solid \"#505075\" -cursor_name left_ptr"
#define LOGIN_CMD		"exec /bin/sh ~/.xinitrc"
#define HALT_CMD		"/sbin/shutdown -h now"
#define REBOOT_CMD		"/sbin/shutdown -r now"
#define CONSOLE_CMD		"/usr/bin/X11/xterm -C -fg black -bg white +sb -g %dx%d+%d+%d -fn %dx%d -T \"Console login\" -e /bin/sh -c \"/bin/cat /etc/issue; exec /bin/login\""

// Command strings
#define CONSOLE_STR		"console"
#define HALT_STR        	"halt"
#define REBOOT_STR      	"reboot"
#define EXIT_STR		"exit"

// Shutdown message color
#define MSG_COLOR		"white"

// Input properties
#define INPUT_NAME_X		200
#define INPUT_NAME_Y		154
#define INPUT_PASSWD_X		200
#define INPUT_PASSWD_Y		200
#define INPUT_FONT		"-*-helvetica-medium-r-*-*-18-*-*-*-*-*-*-*"
#define INPUT_BGCOLOR		"#ffffff"
#define INPUT_FGCOLOR		"black"
#define INPUT_CURSOR_HEIGHT	20
#define INPUT_MAXLENGTH_NAME	10
#define INPUT_MAXLENGTH_PASSWD	20


#endif
